#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	parallel
Version		:	20181222
Release		:	14.4.0.0%{?dist}
Summary		:	Parallel is a shell tool for executing jobs in parallel 
Group		:	System Environment/Shells

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/bash/

Source0		:	%{name}-%{version}.tar.bz2

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
GNU Parallel is a shell tool for executing jobs in parallel using one
or more computers. A job can be a single command or a small script
that has to be run for each of the lines in the input. The typical
input is a list of files, a list of hosts, a list of users, a list of
URLs, or a list of tables. A job can also be a command that reads from
a pipe. GNU Parallel can then split the input and pipe it into
commands in parallel.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc COPYING NEWS README
%{_bindir}/env_%{name}
%{_bindir}/env_%{name}.*sh
%{_bindir}/niceload
%{_bindir}/%{name}
%{_bindir}/parcat
%{_bindir}/parset
%{_bindir}/sql
%{_bindir}/sem
%{_defaultdocdir}/%{name}-%{version}/*.{html,pdf,texi}
%{_mandir}/man1/*.1.gz
%{_mandir}/man7/*.7.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
